For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
HomepageProduct HelpLog inTry for Free
Developers HomeAPI ReferenceMCP
Developers HomeAPI ReferenceMCP
  • Getting Started
    • Introduction
    • Authentication with API Keys
    • Authentication with OAuth
    • API Clients
    • Pagination
    • Specifying Fields
    • Filter Parameters
    • HTTP Response Codes
    • Rate Limits
    • Timezone Offsets
    • Rich Text Fields
    • Changelog
  • CRM Core
    • Leads
    • Contacts
    • Opportunities
    • Tasks
    • Files
    • Custom Objects
    • Comments
  • Activities
    • Activities
    • Notes
      • GETList or filter all Note activities
      • POSTCreate a Note activity
      • GETGet a single Note activity
      • PUTUpdate a Note activity
      • DELDelete a Note activity
    • Calls
    • Emails
    • Email Threads
    • WhatsApp Messages
    • Meetings
    • Custom Activities
    • Creations
    • Form Submissions
    • Lead Status Changes
    • Opportunity Status Changes
    • Lead Merges
    • Task Completions
  • Events & Webhooks
    • Webhooks
    • Events
  • Search & Reporting
    • Advanced Filtering
    • Smart Views
    • Reporting
  • Automation & Bulk Actions
    • Sequences (Workflows)
    • Bulk Actions
    • Exports
    • AI Field Enrichment
  • CRM Configuration
    • Custom Fields
    • Custom Activity Types
    • Custom Object Types
    • Pipelines
    • Opportunity Statuses
    • Lead Statuses
    • Integration Links
    • Forms
  • Communication Configuration
    • Email Templates
    • SMS Templates
    • Outcomes
    • Playbooks
    • Scheduling Links Guide
    • Scheduling Links
    • Connected Accounts
    • Send As
    • Unsubscribed Emails
    • Phone Numbers
    • Blocked Phone Numbers
    • Dialers
  • Users & Organizations
    • Users
    • Organizations
    • Memberships
    • Roles
    • Groups
Close

Product

OverviewCommunicationAutomationIntegrationsReportingSMSCallingSecurityForms

Pricing & Use Cases

PricingClose vs Other CRMsCustomer Stories

Resources

Sales BlogSales ResourcesSales GuidesWebinarsOn-Demand DemoSales Tools

Company

AboutCareersPartner with CloseBrand GuidelinesTermsPrivacyGDPRCCPA

Get Help

+1-833-GO-CLOSEHelp CenterDownload the Close AppProduct UpdatesSystem Status
LogoLogo
HomepageProduct HelpLog inTry for Free
ActivitiesNotes

List or filter all Note activities

||View as Markdown|
GET
https://api.close.com/api/v1/activity/note/
GET
/api/v1/activity/note/
$curl https://api.close.com/api/v1/activity/note/ \
> -u "<CLOSE_API_KEY>:"
1{
2 "data": [
3 {
4 "_type": "Note",
5 "activity_at": "2013-02-01T01:05:04.070000+00:00",
6 "contact_id": null,
7 "created_by": "user_N6KhMpzHRCYQHdn4gRNIFNN5JExnsrprKA6ekxM63XA",
8 "date_created": "2013-02-01T01:05:04.070000+00:00",
9 "date_updated": "2013-02-01T01:06:35.668000+00:00",
10 "id": "acti_XOyG7jURMfsLgKuYGqbQ4Qp7L5a16pQOcDfTgotqDak",
11 "lead_id": "lead_KwD00BYbXCHiPWj68LxFkxaeWuULpZ7awzm6LqeFs0h",
12 "organization_id": "orga_RbREgmiiwcr1w2b4cOnCMQaQPSIFxMqAD2Dh243uxcH",
13 "updated_by": "user_N6KhMpzHRCYQHdn4gRNIFNN5JExnsrprKA6ekxM63XA",
14 "user_id": "user_N6KhMpzHRCYQHdn4gRNIFNN5JExnsrprKA6ekxM63XA",
15 "users": [],
16 "created_by_name": "Bruce Wayne",
17 "updated_by_name": "Bruce Wayne",
18 "user_name": "Bruce Wayne",
19 "note": "Welcome to Close!\n\nGet started by:\n\n 1. Import your leads! Use our \"Bulk CSV Upload\" tool by clicking your name in the top right. Add leads manually by clicking \"New Lead\" in the lower left.\n 2. Invite your co-workers!\n 3. Setup two-way syncing of your emails by going to Settings -> Email Settings.",
20 "note_html": "<body><p>Welcome to Close!</p><p>Get started by:</p><ol><li>Import your leads! Use our \"Bulk CSV Upload\" tool by clicking your name in the top right. Add leads manually by clicking \"New Lead\" in the lower left.</li><li>Invite your co-workers!</li><li>Setup two-way syncing of your emails by going to Settings -> Email Settings.</li></ol></body>",
21 "pinned": true,
22 "pinned_at": "2025-08-19T14:14:34.383000+00:00",
23 "title": "Welcome to Close!"
24 }
25 ],
26 "has_more": false
27}
Was this page helpful?
Previous

Notes

Next

Create a Note activity

Built with

Authentication

AuthorizationBasic
Use your API key as the username and leave the password empty.
OR
AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Query parameters

_limitintegerOptionalDefaults to 100
Number of results to return.
_skipintegerOptionalDefaults to 0
Number of results to skip before returning, for pagination.
id__inlist of strings or nullOptional

Filter by activity IDs (comma-separated)

lead_idlist of strings or nullOptional

Filter by lead IDs (comma-separated)

contact_idlist of strings or nullOptional

Filter by contact IDs (comma-separated)

user_idlist of strings or nullOptional

Filter by user IDs (comma-separated)

organization_idstring or nullOptional
_typelist of strings or nullOptional

Filter by activity type, e.g. Call (comma-separated)

date_created__gtedatetime or dateOptional
date_created__ltedatetime or dateOptional
date_created__gtdatetime or dateOptional
date_created__ltdatetime or dateOptional
activity_at__gtedatetime or dateOptional
activity_at__ltedatetime or dateOptional
activity_at__gtdatetime or dateOptional
activity_at__ltdatetime or dateOptional

Response

Successful response
datalist of objects
has_moreboolean

Errors

400
Bad Request Error
401
Unauthorized Error
404
Not Found Error